	.386
	.model	use32 small

	extrn exp : proc, allerr : proc
	public	_cosh
	.data
nm	db	"cosh",0
	.code
two	dw	2

_cosh:
      	push	ebp
	mov	ebp,esp
	lea	ecx,[ebp+8]
	sub	edx,edx
	fld	qword ptr [ecx]
	call	exp
	fld	qword ptr [ecx]
	fchs
	call	exp
	faddp	st(1)
	fild	word ptr [two]
	fdivp	st(1)
	lea	eax,[nm]
	call	allerr
	leave
	ret
	end